GDB (xrefs)

Classes | Functions | Variables
/tmp/gdb-8.1/gdb/sentinel-frame.c File Reference
`#include "defs.h"`
`#include "regcache.h"`
`#include "sentinel-frame.h"`
`#include "inferior.h"`
`#include "frame-unwind.h"`

Go to the source code of this file.

## Classes
struct | frame_unwind_cache

## Functions
void * | sentinel_frame_cache (struct regcache *regcache)
static struct value * | sentinel_frame_prev_register (struct frame_info *this_frame, void **this_prologue_cache, int regnum)
static void | sentinel_frame_this_id (struct frame_info *this_frame, void **this_prologue_cache, struct frame_id *this_id)
static struct gdbarch * | sentinel_frame_prev_arch (struct frame_info *this_frame, void **this_prologue_cache)

## Variables
const struct frame_unwind | sentinel_frame_unwind

## Function Documentation

## ◆ sentinel_frame_cache()

void* sentinel_frame_cache | ( | struct regcache * | regcache | ) |

Definition at line 33 of file sentinel-frame.c.

References FRAME_OBSTACK_ZALLOC, and frame_unwind_cache::regcache.

Referenced by create_sentinel_frame().

## ◆ sentinel_frame_prev_arch()

static struct gdbarch* sentinel_frame_prev_arch | ( | struct frame_info * | this_frame,
|  | void ** | this_prologue_cache
| ) |  |
| static

Definition at line 71 of file sentinel-frame.c.

References regcache::arch(), and frame_unwind_cache::regcache.

## ◆ sentinel_frame_prev_register()

static struct value* sentinel_frame_prev_register | ( | struct frame_info * | this_frame,
|  | void ** | this_prologue_cache,
|  | int | regnum
| ) |  |
| static

Definition at line 45 of file sentinel-frame.c.

References frame_unwind_cache::regcache, regcache_cooked_read_value(), regnum, sentinel_frame_id, and VALUE_NEXT_FRAME_ID.

## ◆ sentinel_frame_this_id()

static void sentinel_frame_this_id | ( | struct frame_info * | this_frame,
|  | void ** | this_prologue_cache,
|  | struct frame_id * | this_id
| ) |  |
| static

Definition at line 60 of file sentinel-frame.c.

References _, and internal_error().

## Variable Documentation

## ◆ sentinel_frame_unwind

const struct frame_unwind sentinel_frame_unwind

Initial value:
=
{
SENTINEL_FRAME,
default_frame_unwind_stop_reason,
sentinel_frame_this_id,
sentinel_frame_prev_register,
NULL,
NULL,
NULL,
sentinel_frame_prev_arch,
}
SENTINEL_FRAME
Definition: frame.h:260
sentinel_frame_prev_arch
static struct gdbarch * sentinel_frame_prev_arch(struct frame_info *this_frame, void **this_prologue_cache)
Definition: sentinel-frame.c:71
sentinel_frame_prev_register
static struct value * sentinel_frame_prev_register(struct frame_info *this_frame, void **this_prologue_cache, int regnum)
Definition: sentinel-frame.c:45
default_frame_unwind_stop_reason
enum unwind_stop_reason default_frame_unwind_stop_reason(struct frame_info *this_frame, void **this_cache)
Definition: frame-unwind.c:184
sentinel_frame_this_id
static void sentinel_frame_this_id(struct frame_info *this_frame, void **this_prologue_cache, struct frame_id *this_id)
Definition: sentinel-frame.c:60

Definition at line 80 of file sentinel-frame.c.

Referenced by create_sentinel_frame().